Subject: Re: TCP rx window autotuning harmful at LAN context

From: Eric Dumazet <[email-masked]>
Date: Tue, 10 Mar 2009 06:19:27 +0100

John Heffner a écrit :
> On Mon, Mar 9, 2009 at 4:52 PM, David Miller <[email-masked]> wrote:
>> From: John Heffner <[email-masked]>
>> Date: Mon, 9 Mar 2009 13:23:15 -0700
>>
>>> A drop-tail queue size of 1000 packets on a local interface is
>>> questionable, and I think this is the real source of your problem.
>> Are you suggested we decrease it? :-)
> 
> I am not so bold. :-D  (And note the drop-tail prefix.)
> 
> A long queue with AQM would probably be best, but would require
> careful testing before enabling by default.  It would almost certainly
> cause pain for some.
> 
> And, for the vast majority of people for whom the local interface is
> not the bottleneck, it makes no difference.  It hurts worst for
> someone doing bulk transfer with a GigE device in 100 Mbps (or worse,
> 10-Mbps) mode, where 1000 pkts is a long time, while simultaneously
> doing something latency-sensitive.  I suspect this is the case Marian
> is experiencing.
> 

Interesting stuff indeed.

Could you tell us more about AQM ?